- okta.governance.accessCertifications.read
- ACCESS_CERTIFICATIONS_ADMIN
Lists all or a subset of campaigns in your organization.
Use the ?filter= parameter to narrow results with the following campaign properties - name, status, scheduleType, reviewerType, startDate, endDate, and recurringCampaignId.
Use the ?orderBy= parameter to get ordered results with the following campaign properties - name, created, startDate, endDate, and status.
By default, results are sorted by created.
Apply various filters by using supported campaign filtering properties.
Note: Query parameter percent encoding is required. See Percent-encoding
Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
Apply an ordering of campaigns by specifying a supported campaign property name with %20asc or %20desc suffix.
Note: Query parameter percent encoding is required. See Percent-encoding
curl -i -X GET \
'https://okta-subdomain.pixtulate.com/governance/api/v1/campaigns?filter=name%20eq%20%22Sales%20Review%22&after=00u68w6vzKLultXS97g6&limit=20&orderBy=name%20desc'- List of campaigns filtered by name. |tooltip| The list of campaigns which is filtered by specific name of the campaign
- List of campaigns filtered by status. |tooltip| The list of campaigns that are all in scheduled state
- List of campaigns filtered by multiple statuses. |tooltip| The list of campaigns that are all in Completed and Scheduled state.
- List of campaigns filtered by multiple statuses. The results include recurring campaigns too |tooltip| The list of campaigns that are all in Completed and Scheduled state. It also lists any recurring campaign in `SCHEDULED` status and any child campaigns in "COMPLETED" status.
- List of campaigns filtered by multiple statuses. The results include campaigns with reviewer group and with group owners too |tooltip| The list of campaigns that are all in Completed and Scheduled state. It also lists any recurring campaign in `SCHEDULED` status and any child campaigns in "COMPLETED" status.
- List of campaigns filtered by campaign type. The results are for user campaigns. |tooltip| The list of campaigns that are all in Completed and Scheduled state. It also lists any recurring campaign in `SCHEDULED` status and any child campaigns in "COMPLETED" status.
{ "data": [ { … }, { … } ], "_links": { "next": { … }, "self": { … } } }